Package org.apache.commons.imaging

# Enum ImageInfo.ColorType

java.lang.Object
java.lang.Enum<ImageInfo.ColorType>
org.apache.commons.imaging.ImageInfo.ColorType

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageInfo.ColorType>`

Enclosing class:
  `ImageInfo`

public static enum ImageInfo.ColorType extends Enum<ImageInfo.ColorType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BW`
  `CMYK`
  `GRAYSCALE`
  `OTHER`
  `RGB`
  `UNKNOWN`
  `YCbCr`
  `YCC`
  `YCCK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static ImageInfo.ColorType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ImageInfo.ColorType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BW

    public static final ImageInfo.ColorType BW

  - ### GRAYSCALE

    public static final ImageInfo.ColorType GRAYSCALE

  - ### RGB

    public static final ImageInfo.ColorType RGB

  - ### CMYK

    public static final ImageInfo.ColorType CMYK

  - ### YCbCr

    public static final ImageInfo.ColorType YCbCr

  - ### YCCK

    public static final ImageInfo.ColorType YCCK

  - ### YCC

    public static final ImageInfo.ColorType YCC

  - ### OTHER

    public static final ImageInfo.ColorType OTHER

  - ### UNKNOWN

    public static final ImageInfo.ColorType UNKNOWN

- ## Method Details

  - ### values

    public static ImageInfo.ColorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ImageInfo.ColorType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ImageInfo.ColorType>`